gnutls_x509_privkey_cpy(3)

NAME
gnutls_x509_privkey_cpy - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_cpy(gnutls_x509_privkey_t dst, gnutls_x509_privkey_t src);

ARGUMENTS

gnutls_x509_privkey_t dst
    The destination key, which should be initialized.

gnutls_x509_privkey_t src
    The source key

DESCRIPTION
This function will copy a private key from source to destination key. Destination has to be initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/